<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@80CE52=64</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@81792E=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@8171EA=64</action>
      <action>maincpu.pb@817B30=EE</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL1">
    <parameter>
      <item value="0x0000">None</item>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x1803">Infinite Red Drop</item>
      <item value="0x1903">Infinite Invincibility</item>
      <item value="0x1A03">Infinite Time Magic</item>
      <item value="0x1B03">Infinite Goldbar</item>
      <item value="0x1C03">Infinite Keys</item>
      <item value="0x1D03">Infinite Magic Sword</item>
      <item value="0x1E03">Infinite Power Magic</item>
      <item value="0x1F03">Infinite Armour Magic</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@812188=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@817BB4=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@81735A=64</action>
      <action>maincpu.pb@817DB6=EE</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL2">
    <parameter>
      <item value="0x0000">None</item>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x1803">Infinite Red Drop</item>
      <item value="0x1903">Infinite Invincibility</item>
      <item value="0x1A03">Infinite Time Magic</item>
      <item value="0x1B03">Infinite Goldbar</item>
      <item value="0x1C03">Infinite Keys</item>
      <item value="0x1D03">Infinite Magic Sword</item>
      <item value="0x1E03">Infinite Power Magic</item>
      <item value="0x1F03">Infinite Armour Magic</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@812206=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@817E3A=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@8174CA=64</action>
      <action>maincpu.pb@81803C=EE</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL3">
    <parameter>
      <item value="0x0000">None</item>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x1803">Infinite Red Drop</item>
      <item value="0x1903">Infinite Invincibility</item>
      <item value="0x1A03">Infinite Time Magic</item>
      <item value="0x1B03">Infinite Goldbar</item>
      <item value="0x1C03">Infinite Keys</item>
      <item value="0x1D03">Infinite Magic Sword</item>
      <item value="0x1E03">Infinite Power Magic</item>
      <item value="0x1F03">Infinite Armour Magic</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@812284=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@8180C0=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@81763A=64</action>
      <action>maincpu.pb@8182C2=EE</action>
    </script>
  </cheat>

  <cheat desc="Select 1st Item PL4">
    <parameter>
      <item value="0x0000">None</item>
      <item value="0x0203">Infinite Throwing Sword</item>
      <item value="0x0303">Infinite Throwing Torch</item>
      <item value="0x0403">Infinite Throwing Bomb</item>
      <item value="0x0503">Infinite Red Leaf</item>
      <item value="0x0603">Infinite Blue Leaf</item>
      <item value="0x0703">Infinite Mirror</item>
      <item value="0x0803">Infinite Lightning Storm</item>
      <item value="0x0903">Infinite Big Building</item>
      <item value="0x0A03">Infinite Frisbee Knife?</item>
      <item value="0x0B03">Infinite Smoke Ding</item>
      <item value="0x0C03">Infinite Magic-Long-Nui</item>
      <item value="0x0D03">Infinite Magic-Long-Ma</item>
      <item value="0x0E03">Infinite Magic-Wu-Ching</item>
      <item value="0x0F03">Infinite Magic-Wu-Kong</item>
      <item value="0x1003">Infinite Magic-Ba-Chieh</item>
      <item value="0x1103">Infinite Super???</item>
      <item value="0x1203">Infinite Magic Enemy Halt</item>
      <item value="0x1303">Infinite Lightning Halberd</item>
      <item value="0x1403">Infinite Freezing Axe</item>
      <item value="0x1503">Infinite Firerain Sword</item>
      <item value="0x1603">Infinite Lightning Sword</item>
      <item value="0x1703">Infinite Magic Buddha</item>
      <item value="0x1803">Infinite Red Drop</item>
      <item value="0x1903">Infinite Invincibility</item>
      <item value="0x1A03">Infinite Time Magic</item>
      <item value="0x1B03">Infinite Goldbar</item>
      <item value="0x1C03">Infinite Keys</item>
      <item value="0x1D03">Infinite Magic Sword</item>
      <item value="0x1E03">Infinite Power Magic</item>
      <item value="0x1F03">Infinite Armour Magic</item>
    </parameter>
    <script state="run">
      <action>maincpu.pw@812302=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
